Bug 235471 - www/py-scrapy: Update to 1.6.0
Summary: www/py-scrapy: Update to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on: 235470
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-03 21:38 UTC by Yuri Victorovich
Modified: 2019-03-23 01:51 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (skreuzer)


Attachments
patch (2.87 KB, patch)
2019-02-03 21:38 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-02-03 21:38:43 UTC
Created attachment 201695 [details]
patch

Changes:
* Use option helper
* Change WWW to https
* Add LICENSE_FILE
Comment 1 commit-hook freebsd_committer 2019-03-09 00:56:09 UTC
A commit references this bug:

Author: skreuzer
Date: Sat Mar  9 00:55:41 UTC 2019
New revision: 495093
URL: https://svnweb.freebsd.org/changeset/ports/495093

Log:
  Update to 1.6.0

  PR:		235471
  Submitted by:	yuri@

Changes:
  head/www/py-scrapy/Makefile
  head/www/py-scrapy/distinfo
  head/www/py-scrapy/pkg-descr
Comment 2 wen 2019-03-22 00:27:25 UTC
Hi, skreuzer@:

scrapy-1.6 require parcel-1.5, would you commit the patch:

Index: Makefile
===================================================================
--- Makefile	(revision 496518)
+++ Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Scrapy
 DISTVERSION=	1.6.0
+PORTREVISION=	1
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -22,7 +23,7 @@
 		${PYTHON_PKGNAMEPREFIX}pydispatcher>=2.0.5:devel/py-pydispatcher@${PY_FLAVOR} \
 		${PYTHON_PKGNAMEPREFIX}service_identity>0:security/py-service_identity@${PY_FLAVOR} \
 		${PYTHON_PKGNAMEPREFIX}six>=1.5.2:devel/py-six@${PY_FLAVOR} \
-		${PYTHON_PKGNAMEPREFIX}parsel>=1.2.0:textproc/py-parsel@${PY_FLAVOR}
+		${PYTHON_PKGNAMEPREFIX}parsel>=1.5.0:textproc/py-parsel@${PY_FLAVOR}
 
 USES=		python
 USE_PYTHON=	distutils concurrent autoplist
Comment 3 commit-hook freebsd_committer 2019-03-23 01:50:50 UTC
A commit references this bug:

Author: yuri
Date: Sat Mar 23 01:50:31 UTC 2019
New revision: 496622
URL: https://svnweb.freebsd.org/changeset/ports/496622

Log:
  textproc/py-scrapy: Fix the dependency version

  PR:		235471
  Submitted by:	wen
  Approved by:	portmgr (port compliance)

Changes:
  head/www/py-scrapy/Makefile
Comment 4 Yuri Victorovich freebsd_committer 2019-03-23 01:51:06 UTC
parsel version adjusted.